################################################################################
# Licensed Materials - Property of IBM Copyright IBM Corporation 2012. All Rights Reserved.
# U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP
# Schedule Contract with IBM Corp.
################################################################################
# creates a new pattern for Devops server installation"
# pattern

import sys
import os
import getopt

# parse command line arguments
try:
    (options, args) = getopt.getopt(sys.argv[1:], 'n:p:t', ['name=', 'partName=', 'imageName='])
except getopt.GetoptError:
    help()

parms = {}

for opt, arg in options:
    if opt in ('-n', '--name'):
        parms['patternName'] = arg

    if opt in ('-t', '--imageName'):     
        parms['virtualImageName'] = arg
        
    if opt in ('-p', '--partName'):
        parms['partName'] = arg
    
# fail if pattern already exists
patterns = deployer.patterns[parms['patternName']]
if filter(lambda p: p.name == parms['patternName'], patterns):
    print 'Error: a pattern with that name already exists!'
    sys.exit()


# create pattern
pattern = deployer.patterns << {
    'name': parms['patternName'],
    'description': 'pattern created by createPattern.py'
}


# prompts the user to select a virtual image for the specified part
# and returns the part indicated by the user



# add part to pattern
vi = deployer.virtualimages[parms['virtualImageName']][0]
osPart = vi.parts[parms['partName']]
osPpart = pattern.parts << osPart



