require 'weaver/core/abstract'
require 'weaver/core/generation'

module Weaver
  module Core
    # An Abstract Weaver type that can be extended by the user through the +type+ statement in the Weaver language.
    #
    # Author:: Ed Snible
    class Base < Abstract
      include Weaver::Core::Generation
      
      # * +id+ A symbol for the Base, e.g. +:storage1+
      # * +parent+ The enclosing Abstract
      def initialize(id, parent)
        super(id, parent)
        
        @type = :base
      end
      
    end

  end
end