require 'weaver/core/base.rb'

module Weaver
  module Core
    # Represents an empty Weaver entity that Provider s may mix with other entities.
    # @see Provider
    #
    # Author:: Ed Snible
    # Copyright:: IBM
    class Mixin < Base
      
      # A Ruby Proc that can do additional initalization during mixing
      attr_accessor :mixer     
      
      # * +id+ A symbol for the Mixin, e.g. +:mixin+
      # * +parent+ The enclosing Base
      def initialize(id, parent)
        super(id, parent)
        @type = :mixin
        amd.clear
        @mixer = nil
      end
      
    end
  end
end