require 'weaver/dsl/abstract_statement'

module Weaver
  module Dsl
    # The ProviderStatement implements the processing of the language element +provider+.
    #
    # Author:: Ed Snible
    # @see Provider
    class ProviderStatement < AbstractStatement

      # * +id+ Symbol representing the entity, or a Core::Topology which is the entity
      # * +parent_statement+ The enclosing AbstractStatement
      def initialize(id, parent_statement, type = :provider)
        @@logger.debug "provider[id: #{id.kind_of?(Symbol) ? id : id.class} on #{parent_statement.model.type} :#{parent_statement.model.id}]"
        super(id, type, parent_statement)
      end
      
      def type(sym)
        @model.set_provider_type(sym)
      end
      
      protected
      
    end

  end

end
